> ## Documentation Index
> Fetch the complete documentation index at: https://docs.myzeepay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Debit Mobile Wallet

> Debits a mobile wallet with the specified amount



## OpenAPI

````yaml POST /api/debits
openapi: 3.0.1
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://test.digitaltermination.com
  - url: https://business-sandbox.instntmny.com
security: []
paths:
  /api/debits:
    post:
      description: Debits a mobile wallet with the specified amount
      requestBody:
        required: true
        content:
          application/x-www-form-urlencoded:
            schema:
              type: object
              properties:
                customer_first_name:
                  type: string
                  example: GODWIN
                  description: The first name of the customer
                customer_last_name:
                  type: string
                  example: HOTTOR
                  description: The mobile number of the wallet to debit
                source_country:
                  type: string
                  example: GHA
                  description: The country code of the source
                customer_msisdn:
                  type: number
                  example: 233245519485
                  description: The mobile number of the wallet to debit
                amount:
                  type: integer
                  example: 0.1
                  description: The amount to debit the mobile wallet
                service_type:
                  type: string
                  example: Wallet
                  description: The service type
                extr_id:
                  type: string
                  example: guid-example
                  description: The external ID
                description:
                  type: string
                  example: ZeepayTest
                  description: The description of the transaction
                debit_currency:
                  type: string
                  example: GHS
                  description: The currency code of the debit
                debit_country:
                  type: string
                  example: GHA
                  description: The country code of the debit
                mno:
                  type: string
                  example: MTN
                  description: The mobile service provider
                transaction_type:
                  type: string
                  example: DR
                  description: The transaction type
                callback_url:
                  type: string
                  example: https://webhook.site/3b3b3b3b-3b3b-3b3b-3b3b-3b3b3b3b3b3b
                  description: The callback URL (optional)
              required:
                - amount
                - customer_first_name
                - customer_last_name
                - source_country
                - customer_msisdn
                - service_type
                - extr_id
                - description
                - debit_currency
                - debit_country
                - mno
                - transaction_type
      responses:
        '200':
          description: Successfully debited the mobile wallet
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                    example: 411
                    description: Static response code indicating the status
                  zeepay_id:
                    type: integer
                    example: 123456
                    description: Message indicating successful transaction
                  amount:
                    type: integer
                    example: 0.1
                    description: The transaction amount
                  message:
                    type: string
                    example: Transaction Pending Gateway Response
                    description: This is a response message from the third party
        '400':
          description: Invalid request parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized request, invalid token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - bearerAuth: []
components:
  schemas:
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````